DtWsmDeleteWorkspace(API)

NAME
DtWsmDeleteWorkspace — delete a specific workspace

SYNOPSIS

#include &<Dt/Wsm.h>
int DtWsmDeleteWorkspace(
Widget widget,
Atom workspace);

DESCRIPTION

The DtWsmDeleteWorkspace() function works with the CDE workspace manager, dtwm(1), and deletes a specific workspace. Applications can use this function to implement an interface to the workspace manager.

If the DtWsmDeleteWorkspace() function is not successful, the most likely reason for failure is that the CDE workspace manager, dtwm(1), is not running. The DtWsmDeleteWorkspace() function requires a widget. A gadget (or unrealized widget) is not acceptable for the widget argument.

DtWsmDeleteWorkspace() sends a message to the CDE workspace manager, dtwm(1), to delete the workspace. If the workspace name is not valid, no action is taken and the workspace manager reports no error.

ARGUMENTS

widget
    a realized widget

workspace
    the name of the workspace (in X atom form) to delete

RETURN VALUE

The function returns Success (0) when it succeeds, and non-zero when it fails. Note that these are not the same values _DtWsmDeleteWorkspace returns.

SEE ALSO

DtWsm(5)

"Communicating with the Workspace Manager" section in the CDE Programmer's Guide

"Workspace Manager" section in the CDE Programmer's Overview